/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { GeographicShapeSeriesBaseDescription } from "./GeographicShapeSeriesBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var GeographicPolylineSeriesDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(GeographicPolylineSeriesDescription, _super);
    function GeographicPolylineSeriesDescription() {
        var _this = _super.call(this) || this;
        _this.ez = null;
        _this.ex = null;
        _this.ey = null;
        _this.eu = 0;
        _this.et = 0;
        _this.e0 = null;
        return _this;
    }
    GeographicPolylineSeriesDescription.prototype.get_type = function () {
        return "GeographicPolylineSeries";
    };
    Object.defineProperty(GeographicPolylineSeriesDescription.prototype, "shapeStyleSelectorRef", {
        get: function () {
            return this.ez;
        },
        set: function (a) {
            this.ez = a;
            this.g("ShapeStyleSelectorRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicPolylineSeriesDescription.prototype, "shapeFill", {
        get: function () {
            return this.ex;
        },
        set: function (a) {
            this.ex = a;
            this.g("ShapeFill");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicPolylineSeriesDescription.prototype, "shapeStroke", {
        get: function () {
            return this.ey;
        },
        set: function (a) {
            this.ey = a;
            this.g("ShapeStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicPolylineSeriesDescription.prototype, "shapeStrokeThickness", {
        get: function () {
            return this.eu;
        },
        set: function (a) {
            this.eu = a;
            this.g("ShapeStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicPolylineSeriesDescription.prototype, "shapeOpacity", {
        get: function () {
            return this.et;
        },
        set: function (a) {
            this.et = a;
            this.g("ShapeOpacity");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicPolylineSeriesDescription.prototype, "styleShapeRef", {
        get: function () {
            return this.e0;
        },
        set: function (a) {
            this.e0 = a;
            this.g("StyleShapeRef");
        },
        enumerable: false,
        configurable: true
    });
    GeographicPolylineSeriesDescription.$t = markType(GeographicPolylineSeriesDescription, 'GeographicPolylineSeriesDescription', GeographicShapeSeriesBaseDescription.$);
    return GeographicPolylineSeriesDescription;
}(GeographicShapeSeriesBaseDescription));
export { GeographicPolylineSeriesDescription };
